//
// Created by Marco Bertini on 02/05/16.
//

#include "gtest/gtest.h"

#include "../GameCharacter.h"

TEST(GameCharacter, DefaultConstructor) {

    GameCharacter c;
    ASSERT_EQ(0, c.getXPos());
    ASSERT_EQ(0, c.getYPos());
    ASSERT_EQ(false, c.isFighting());
}


TEST(GameCharacter, TestFightingMove) {
    GameCharacter c;
    c.setFighting(true);
    c.move(1, 1);
    ASSERT_FALSE(c.isFighting());
}
